@use "colors";
@use "fonts";
@use "variables";

.page-content-group.events {
    border: unset !important;
    border-radius: unset !important;
    box-shadow: unset !important;

    .page-content {
        padding: initial !important;

        .events-toolbar,
        .create-events-toolbar {
            display: grid;
            position: sticky;
            top: 84px;
            padding-top: 0;
            background-color: colors.$content-white;
            z-index: 1; // put before other content

            @media only screen and (max-width: variables.$mobile-width) {
                top: 88px;
            }

            @supports (-ms-ime-align:auto) {
                display: flex;
                flex-direction: column;
            }

            .events-selectors {
                display: flex;
            }

            .events-view-selector {
                width: 165px;
            }

            .events-type-selector {
                width: 240px;
            }

            .zip-input {
                width: 100%;
                max-width: 200px;
                font-family: fonts.$content-font;
                margin: 1rem 1rem 1rem 0rem;

                input[type='number'] {
                    appearance: textfield;
                    -moz-appearance: textfield;
                }
            }

            .add-event {
                color: colors.$blue;
                font-family: Graph;
                font-weight: 900;
                margin-left: auto;

                >span {
                    margin: unset;
                }
            }

            .prevent-stretch {
                justify-self: start;
                margin-bottom: 1em;

                @supports (-ms-ime-align:auto) {
                    max-width: 300px;
                    text-align: center;
                }
            }
        }

        .create-events-toolbar {
            position: inherit;
        }

        .create-event-form-container {
            padding: 2em;
            border: 1px solid colors.$content-black;
            border-radius: 4px;
        }
    }
}